@import 'mixins';

// {property}{sides}-{breakpoint}-{size}

.m {
    @each $size in $sizes {
        &-#{$size} {
            margin: returnCalculatedSpacer($size) !important;
        }
    }

    @each $break in $breakpoints {
        &-#{$break} {
            @include breakpoint ($break) {
                @each $size in $sizes {
                    &-#{$size} {
                        margin: returnCalculatedSpacer($size) !important;
                    }
                }
            }
        }
    }

    @each $side in $sides {
        &#{$side} {
            @each $size in $sizes {
                &-#{$size} {
                    margin: returnCalculatedSpacerWithSides($side, $size) !important;

                }
            }
        }
    }

    @each $side in $sides {
        &#{$side} {
            @each $break in $breakpoints {
                &-#{$break} {
                    @include breakpoint ($break) {
                        @each $size in $sizes {
                            &-#{$size} {
                                margin: returnCalculatedSpacerWithSides($side, $size) !important;
                            }
                        }
                    }
                }
            }
        }
    }
}
